#pragma once

#include "TypeRegistry.h"

class BlockTypeNameFactory : public SimpleTypeFactory<Framework::Text*>
{
public:
    static const Framework::Text TYPE_ID;

private:
    Framework::RCArray<Framework::Text>* blockTypeNames;

public:
    BlockTypeNameFactory();
    ~BlockTypeNameFactory();
    void setBlockTypeNames(Framework::RCArray<Framework::Text>* blockTypeNames);
    Framework::Text* fromJson(Framework::JSON::JSONValue* zJson) const override;
    Framework::JSON::JSONValue* toJson(Framework::Text* value) const override;
    Framework::Validator::DataValidator* getValidator() const override;
};
