#pragma once

#include "NetworkMessage.h"

#include <Array.h>
#include <Critical.h>

class InformationObserver : public Framework::ReferenceCounter
{
private:
	Framework::RCArray<NetworkMessage> waitingMessages;
    bool ready;
    int entityId;
    Framework::Critical cs;

public:
    InformationObserver(int entityId);
	~InformationObserver();

	int getEntityId() const;
	bool sendMessage(NetworkMessage* message);
    void setReady();
};