#include "NegateNoise.h"

NegateNoise::NegateNoise(Noise* base)
    : Noise(),
      base(base)
{}

NegateNoise::~NegateNoise()
{
    base->release();
}

int NegateNoise::getSeed() const
{
    return base->getSeed();
}

double NegateNoise::getNoise(double x, double y, double z)
{
    return 1.0 - base->getNoise(x, y, z);
}