#include "QuestEvent.h"

QuestEvent::QuestEvent(Entity* actingEntity)
    : ReferenceCounter(),
      actingEntity(actingEntity)
{}

QuestEvent::~QuestEvent()
{
    actingEntity->release();
}

Entity* QuestEvent::zActingEntity() const
{
    return actingEntity;
}

QuestEventOpenDialog::QuestEventOpenDialog(Entity* actingEntity,
    	Framework::Text dialogId)
	: QuestEvent(actingEntity),
	  dialogId(dialogId)
{}

const Framework::Text& QuestEventOpenDialog::getDialogId() const
{
	return dialogId;
}